org.wildfly.swarm.config

## Class Undertow<T extends Undertow<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Undertow<T>

- Direct Known Subclasses:
    UndertowFraction

      public class Undertow<T extends Undertow<T>>
      extends Object

  Undertow subsystem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Undertow.UndertowResources` Child mutators for Undertow

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Undertow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `applicationSecurityDomain(ApplicationSecurityDomain value)` Add the ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(ApplicationSecurityDomainSupplier supplier)` Install a supplied ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(String childKey)` Create and configure a ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomain(String childKey, ApplicationSecurityDomainConsumer consumer)` Create and configure a ApplicationSecurityDomain object to the list of subresources
    `T` | `applicationSecurityDomains(List<ApplicationSecurityDomain> value)` Add all ApplicationSecurityDomain objects to this subresource
    `T` | `bufferCache(BufferCache value)` Add the BufferCache object to the list of subresources
    `T` | `bufferCache(BufferCacheSupplier supplier)` Install a supplied BufferCache object to the list of subresources
    `T` | `bufferCache(String childKey)` Create and configure a BufferCache object to the list of subresources
    `T` | `bufferCache(String childKey, BufferCacheConsumer consumer)` Create and configure a BufferCache object to the list of subresources
    `T` | `bufferCaches(List<BufferCache> value)` Add all BufferCache objects to this subresource
    `String` | `defaultSecurityDomain()` The default security domain used by web deployments
    `T` | `defaultSecurityDomain(String value)` The default security domain used by web deployments
    `String` | `defaultServer()` The default server to use for deployments
    `T` | `defaultServer(String value)` The default server to use for deployments
    `String` | `defaultServletContainer()` The default servlet container to use for deployments
    `T` | `defaultServletContainer(String value)` The default servlet container to use for deployments
    `String` | `defaultVirtualHost()` The default virtual host to use for deployments
    `T` | `defaultVirtualHost(String value)` The default virtual host to use for deployments
    `T` | `filterConfiguration()` Undertow filters
    `T` | `filterConfiguration(FilterConfiguration value)` Undertow filters
    `T` | `filterConfiguration(FilterConfigurationConsumer consumer)` Undertow filters
    `T` | `filterConfiguration(FilterConfigurationSupplier supplier)` Undertow filters
    `String` | `getKey()`
    `T` | `handlerConfiguration()` Undertow handlers
    `T` | `handlerConfiguration(HandlerConfiguration value)` Undertow handlers
    `T` | `handlerConfiguration(HandlerConfigurationConsumer consumer)` Undertow handlers
    `T` | `handlerConfiguration(HandlerConfigurationSupplier supplier)` Undertow handlers
    `String` | `instanceId()` The cluster instance id
    `T` | `instanceId(String value)` The cluster instance id
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `server(Server value)` Add the Server object to the list of subresources
    `T` | `server(ServerSupplier supplier)` Install a supplied Server object to the list of subresources
    `T` | `server(String childKey)` Create and configure a Server object to the list of subresources
    `T` | `server(String childKey, ServerConsumer consumer)` Create and configure a Server object to the list of subresources
    `T` | `servers(List<Server> value)` Add all Server objects to this subresource
    `T` | `servletContainer(ServletContainer value)` Add the ServletContainer object to the list of subresources
    `T` | `servletContainer(ServletContainerSupplier supplier)` Install a supplied ServletContainer object to the list of subresources
    `T` | `servletContainer(String childKey)` Create and configure a ServletContainer object to the list of subresources
    `T` | `servletContainer(String childKey, ServletContainerConsumer consumer)` Create and configure a ServletContainer object to the list of subresources
    `T` | `servletContainers(List<ServletContainer> value)` Add all ServletContainer objects to this subresource
    `Boolean` | `statisticsEnabled()` Configures if statistics are enabled.
    `T` | `statisticsEnabled(Boolean value)` Configures if statistics are enabled.
    `Undertow.UndertowResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Undertow

          public Undertow()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Undertow.UndertowResources subresources()

    - #### applicationSecurityDomains

          public T applicationSecurityDomains(List<ApplicationSecurityDomain> value)

      Add all ApplicationSecurityDomain objects to this subresource
      Parameters:
        `value` - List of ApplicationSecurityDomain objects.
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(ApplicationSecurityDomain value)

      Add the ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `value` - The ApplicationSecurityDomain to add
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(String childKey,
                                             ApplicationSecurityDomainConsumer consumer)

      Create and configure a ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the ApplicationSecurityDomain resource
        `config` - The ApplicationSecurityDomainConsumer to use
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(String childKey)

      Create and configure a ApplicationSecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the ApplicationSecurityDomain resource
      Returns:
        this

    - #### applicationSecurityDomain

          public T applicationSecurityDomain(ApplicationSecurityDomainSupplier supplier)

      Install a supplied ApplicationSecurityDomain object to the list of subresources

    - #### servers

          public T servers(List<Server> value)

      Add all Server objects to this subresource
      Parameters:
        `value` - List of Server objects.
      Returns:
        this

    - #### server

          public T server(Server value)

      Add the Server object to the list of subresources
      Parameters:
        `value` - The Server to add
      Returns:
        this

    - #### server

          public T server(String childKey,
                          ServerConsumer consumer)

      Create and configure a Server object to the list of subresources
      Parameters:
        `key` - The key for the Server resource
        `config` - The ServerConsumer to use
      Returns:
        this

    - #### server

          public T server(String childKey)

      Create and configure a Server object to the list of subresources
      Parameters:
        `key` - The key for the Server resource
      Returns:
        this

    - #### server

          public T server(ServerSupplier supplier)

      Install a supplied Server object to the list of subresources

    - #### bufferCaches

          public T bufferCaches(List<BufferCache> value)

      Add all BufferCache objects to this subresource
      Parameters:
        `value` - List of BufferCache objects.
      Returns:
        this

    - #### bufferCache

          public T bufferCache(BufferCache value)

      Add the BufferCache object to the list of subresources
      Parameters:
        `value` - The BufferCache to add
      Returns:
        this

    - #### bufferCache

          public T bufferCache(String childKey,
                               BufferCacheConsumer consumer)

      Create and configure a BufferCache object to the list of subresources
      Parameters:
        `key` - The key for the BufferCache resource
        `config` - The BufferCacheConsumer to use
      Returns:
        this

    - #### bufferCache

          public T bufferCache(String childKey)

      Create and configure a BufferCache object to the list of subresources
      Parameters:
        `key` - The key for the BufferCache resource
      Returns:
        this

    - #### bufferCache

          public T bufferCache(BufferCacheSupplier supplier)

      Install a supplied BufferCache object to the list of subresources

    - #### servletContainers

          public T servletContainers(List<ServletContainer> value)

      Add all ServletContainer objects to this subresource
      Parameters:
        `value` - List of ServletContainer objects.
      Returns:
        this

    - #### servletContainer

          public T servletContainer(ServletContainer value)

      Add the ServletContainer object to the list of subresources
      Parameters:
        `value` - The ServletContainer to add
      Returns:
        this

    - #### servletContainer

          public T servletContainer(String childKey,
                                    ServletContainerConsumer consumer)

      Create and configure a ServletContainer object to the list of subresources
      Parameters:
        `key` - The key for the ServletContainer resource
        `config` - The ServletContainerConsumer to use
      Returns:
        this

    - #### servletContainer

          public T servletContainer(String childKey)

      Create and configure a ServletContainer object to the list of subresources
      Parameters:
        `key` - The key for the ServletContainer resource
      Returns:
        this

    - #### servletContainer

          public T servletContainer(ServletContainerSupplier supplier)

      Install a supplied ServletContainer object to the list of subresources

    - #### handlerConfiguration

          public T handlerConfiguration(HandlerConfiguration value)

      Undertow handlers

    - #### handlerConfiguration

          public T handlerConfiguration(HandlerConfigurationConsumer consumer)

      Undertow handlers

    - #### handlerConfiguration

          public T handlerConfiguration()

      Undertow handlers

    - #### handlerConfiguration

          public T handlerConfiguration(HandlerConfigurationSupplier supplier)

      Undertow handlers

    - #### filterConfiguration

          public T filterConfiguration(FilterConfiguration value)

      Undertow filters

    - #### filterConfiguration

          public T filterConfiguration(FilterConfigurationConsumer consumer)

      Undertow filters

    - #### filterConfiguration

          public T filterConfiguration()

      Undertow filters

    - #### filterConfiguration

          public T filterConfiguration(FilterConfigurationSupplier supplier)

      Undertow filters

    - #### defaultSecurityDomain

          public String defaultSecurityDomain()

      The default security domain used by web deployments

    - #### defaultSecurityDomain

          public T defaultSecurityDomain(String value)

      The default security domain used by web deployments

    - #### defaultServer

          public String defaultServer()

      The default server to use for deployments

    - #### defaultServer

          public T defaultServer(String value)

      The default server to use for deployments

    - #### defaultServletContainer

          public String defaultServletContainer()

      The default servlet container to use for deployments

    - #### defaultServletContainer

          public T defaultServletContainer(String value)

      The default servlet container to use for deployments

    - #### defaultVirtualHost

          public String defaultVirtualHost()

      The default virtual host to use for deployments

    - #### defaultVirtualHost

          public T defaultVirtualHost(String value)

      The default virtual host to use for deployments

    - #### instanceId

          public String instanceId()

      The cluster instance id

    - #### instanceId

          public T instanceId(String value)

      The cluster instance id

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Configures if statistics are enabled. Changes take effect on the connector level statistics immediately, deployment level statistics will only be affected after the deployment is redeployed (or the container is reloaded).

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Configures if statistics are enabled. Changes take effect on the connector level statistics immediately, deployment level statistics will only be affected after the deployment is redeployed (or the container is reloaded).

Copyright © 2017 JBoss by Red Hat. All rights reserved.